# Gimp.Drawable.invert

    @accepts(Gimp.Drawable, bool)
    @returns(bool)
    def invert(self, linear):
        # Python wrapper for gimp_drawable_invert()

Invert the contents of the specified drawable.

This procedure inverts the contents of the specified drawable. Each intensity channel is inverted independently. The inverted intensity is given as inten' = (255 - inten). If 'linear' is TRUE, the drawable is inverted in linear space.

Since 2.10

self

  The drawable.

linear

  Whether to invert in linear space.

Returns